# Modifier le nom et le nombre des fichiers
# contenant les sources du document
input_files := \
document.md

output_file_name := document

pandoc := \
	pandoc \
	--css=style.css --template=template.html \
	--toc --toc-depth=2 \

pandoc_html := \
	$(pandoc) \
	--standalone \
	--to=html --output=$(output_file_name).html \
	$(input_files)

pandoc_pdf := \
	$(pandoc) \
	-V noscript=true \
	--embed-resources=true --to=pdf \
	--pdf-engine=pagedjs-cli \
	--output=$(output_file_name).pdf \
	$(input_files)

html: $(input_files) 
	$(pandoc_html)

watch_html: $(input_files)
	watchexec -r -w . -i $(output_file_name).html \
	" $(pandoc_html)"

pdf: $(input_files)
	$(pandoc_pdf)

serve:
	watchexec -r -w . "python -m http.server"
